Support » Plugin: YITH WooCommerce Zoom Magnifier » Looks like JavaScript is not working

  • Resolved SRD75

    (@srd75)


    Hi Folks,

    We have “YITH WooCommerce Zoom Magnifier” installed, but on the page in question, when clicking on images in the carousel, the page loads the jpg file in the browser directly. The magnifier is not working too.

    We have LiteSpeed Cache installed too, and JavaScript is set to not combine and not minify.

    Help appreciated.
    Steve

    The page I need help with: [log in to see the link]

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Author YITHEMES

    (@yithemes)

    Hello there,
    hope you are doing well! 🙂

    We have been checking the product page and seem that the page has some JS errors in console, maybe due to this errors, the plugin JS is not working.

    Could you try to identify the cause of these errors and check if they are generating the errors to the zoom, please?

    Let us know any news.

    Have a nice day!

    SRD75

    (@srd75)

    Hi,

    There were 2 errors. I fixed my error, the error that remains is yours I believe: 🙂

    Cheers,
    Steve

    3 days. Following up.

    Following up.

    The console shows one error:

    Uncaught SyntaxError: Unexpected token ‘,’

    for the line marked with * below:

    <script type="text/javascript" charset="utf-8">
    	var yith_magnifier_options = {
    
    		enableSlider: true,
    
    				sliderOptions: {
    			responsive: true,
    			circular: true,
    			infinite: true,
    			direction: 'left',
    			debug: false,
    			auto: false,
    			align: 'left',
    			prev: {
    				button: "#slider-prev",
    				key: "left"
    			},
    			next: {
    				button: "#slider-next",
    				key: "right"
    			},
    			//width   : 918,
    			scroll: {
    				items: 1,
    				pauseOnHover: true
    			},
    			items: {
    				//width: 104,
    				visible: 3			}
    		},
    
    		
    		showTitle: false,
    		zoomWidth: 'auto',
    		zoomHeight: 'auto',
    		position: 'right',
    		//tint: ,
    		//tintOpacity: ,
    *		lensOpacity: ,
    		softFocus: false,
    		//smoothMove: ,
    		adjustY: 0,
    		disableRightClick: false,
    		phoneBehavior: 'inside',
    		loadingLabel: 'Loading...',
    		zoom_wrap_additional_css: ''
    	};
    </script>

    Help appreciated.
    Steve

    Plugin Author YITHEMES

    (@yithemes)

    Hello there,

    I hope you’re doing well 🙂

    We added some fix on JS files and now it should not be showed.

    Please, could you update the plugin and test it?

    I’m looking forward your reponse.

    Have a good day.

    We’re using Version 1.3.1.

    The same issue and error remains. 🙂

    Same error here all other plugins disabled.

    To solve this issue save settings with “Lens Opacity” option greater then 0. Then return to 0 and save again.

    SRD75

    (@srd75)

    Thanks, that fixed it.

Viewing 9 replies - 1 through 9 (of 9 total)
  • You must be logged in to reply to this topic.